Main Page | Modules | Class List | File List | Class Members | File Members

# Selection

## Functions
bool | CxImage::SelectionAddColor (RGBQUAD c)
bool | CxImage::SelectionAddEllipse (RECT r)
bool | CxImage::SelectionAddPixel (int x, int y)
bool | CxImage::SelectionAddPolygon (POINT *points, long npoints)
bool | CxImage::SelectionAddRect (RECT r)
bool | CxImage::SelectionClear ()
bool | CxImage::SelectionCopy (CxImage &from)
bool | CxImage::SelectionCreate ()
bool | CxImage::SelectionDelete ()
void | CxImage::SelectionGetBox (RECT &r)
bool | CxImage::SelectionInvert ()
bool | CxImage::SelectionIsInside (long x, long y)
bool | CxImage::SelectionIsValid ()
bool | CxImage::SelectionSplit (CxImage *dest)
bool | CxImage::SelectionToHRGN (HRGN &region)

## Function Documentation

bool CxImage::SelectionAddColor | ( | RGBQUAD | c | ) | `[inherited]`

| Adds to the selection all the pixels matching the specified color.

bool CxImage::SelectionAddEllipse | ( | RECT | r | ) | `[inherited]`

| Adds an ellipse to the existing selection.

bool CxImage::SelectionAddPixel | ( | int | x,
|  | int | y
| ) | `[inherited]`

| Adds a single pixel to the existing selection.

bool CxImage::SelectionAddPolygon | ( | POINT * | points,
|  | long | npoints
| ) | `[inherited]`

| Adds a polygonal region to the existing selection. points points to an array of POINT structures. Each structure specifies the x-coordinate and y-coordinate of one vertex of the polygon. npoints specifies the number of POINT structures in the array pointed to by points.

bool CxImage::SelectionAddRect | ( | RECT | r | ) | `[inherited]`

| Adds a rectangle to the existing selection.

bool CxImage::SelectionClear | ( |  | ) | `[inherited]`

| Empties the selection.

bool CxImage::SelectionCopy | ( | CxImage & | from | ) | `[inherited]`

| Imports an existing region from another image with the same width and height.

bool CxImage::SelectionCreate | ( |  | ) | `[inherited]`

| Allocates an empty selection.

bool CxImage::SelectionDelete | ( |  | ) | `[inherited]`

| Deallocates the selction.

void CxImage::SelectionGetBox | ( | RECT & | r | ) | `[inherited]`

| Gets the smallest rectangle that contains the selection

bool CxImage::SelectionInvert | ( |  | ) | `[inherited]`

| Inverts the selection.

bool CxImage::SelectionIsInside | ( | long | x,
|  | long | y
| ) | `[inherited]`

| Checks if the coordinates are inside the selection.

bool CxImage::SelectionIsValid | ( |  | ) | `[inherited]`

| Checks if the image has a valid selection.

bool CxImage::SelectionSplit | ( | CxImage * | dest | ) | `[inherited]`

| Exports the selection channel in a 8bpp grayscale image.

bool CxImage::SelectionToHRGN | ( | HRGN & | region | ) | `[inherited]`

| Converts the selection in a HRGN object.